package com.logicbig.example;

import java.util.ArrayList;
import java.util.List;

public enum DataService {
    Instance;

    public List<Employee> getEmployees() {
        String[] deptArray = {"IT", "Admin", "Sales", "HR"};
        List<Employee> employees = new ArrayList<>();
        for (int i = 1; i <= 1000; i++) {
            Employee e = new Employee();
            e.setId(i);
            e.setName(RandomUtil.getFullName());
            e.setDept(RandomUtil.getAnyOf(deptArray));
            e.setPhoneNumber(RandomUtil.getInt(111, 999) +
                    "-" + RandomUtil.getInt(111, 999) +
                    "-" + RandomUtil.getInt(111, 999));
            employees.add(e);
        }
        return employees;
    }
}