package com.logicbig.example;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.time.LocalTime;
import java.util.List;

@ManagedBean
@ViewScoped
public class EmployeeBean {
    private List<Employee> employeeList;

    @PostConstruct
    private void postConstruct() {
        employeeList = DataService.Instance.getEmployees();
    }

    public List<Employee> getEmployeeList() {
        return employeeList;
    }
}